//+------------------------------------------------------------------+
//|                                               SpeedTradeTest.mq5 |
//|                        Copyright 2015, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.01"
#property strict
#property description " ,         "
#property script_show_inputs
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
enum type_trades  //    
  {
   BUY=1,     //    
   SELL=2,    //     
  };
input type_trades tt=BUY;
#include <trade\trade.mqh>
//+------------------------------------------------------------------+
//| Tester function                                                  |
//+------------------------------------------------------------------+
void OnStart()
  {
   CTrade tr;
//--- show initial
   HistorySelect(0,TimeCurrent()+60);
   Print("Before: ",HistoryDealsTotal()," deals, ",HistoryOrdersTotal()," orders");
//--- do a deal
   if(tt==BUY)
     {
      if(tr.Buy(1.0))
        {
         uint ticks =GetTickCount();
         int  deals =HistoryDealsTotal();
         int  orders=HistoryOrdersTotal();
         //--- let's wait for 10 seconds
         Print("After: ",deals," deals, ",orders," orders");

         while((GetTickCount()-ticks)<10000)
           {
            HistorySelect(0,TimeCurrent()+60);
            if(HistoryDealsTotal()>deals || HistoryOrdersTotal()>orders)
              {
               Print("Result: ",HistoryDealsTotal()," deals, ",HistoryOrdersTotal()," orders");
               break;
              }
            Sleep(1);
           }
        }
     }
   else
     {
      if(tr.Sell(1.0))
        {
         uint ticks =GetTickCount();
         int  deals =HistoryDealsTotal();
         int  orders=HistoryOrdersTotal();
         //--- let's wait for 10 seconds
         Print("After: ",deals," deals, ",orders," orders");

         while((GetTickCount()-ticks)<10000)
           {
            HistorySelect(0,TimeCurrent()+60);
            if(HistoryDealsTotal()>deals || HistoryOrdersTotal()>orders)
              {
               Print("Result: ",HistoryDealsTotal()," deals, ",HistoryOrdersTotal()," orders");
               break;
              }
            Sleep(1);
           }
        }
     }
//---
   Print("Finished");
  }
//+------------------------------------------------------------------+
